View Issue Details

IDProjectCategoryView StatusLast Update
0003496Expressions[FreeCAD] Bugpublic2018-09-25 14:18
ReporterXunieAssigned Toeivindkvedalen 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003496: Can't delete spreadsheet if spreadsheet is opened.
DescriptionI argue that this is a bug in that the expected behavior should be an error message pops up telling the user "Can't delete spreadsheet that is currently opened. Please close the Spreadsheet tab first."
Steps To Reproduce
  1. Open Freecad
  2. Create new empty document
  3. Select spreadsheet workbench
  4. Create a new spreadsheet
  5. Double click spreadsheet in the model tree to open the spreadsheet
  6. Click once on the spreadsheet in the model tree to select it (if it is not already selected)
  7. Press "delete" or right click on the spreadsheet and select "Delete" from the context menu
  8. Observe how the spreadsheet is not deleted
Additional InformationMind: When the spreadsheet is not deleted after performing the reproduction steps, the Python console does seem to have a function call to App.getDocument("Unnamed").recompute() in it recompute the document.

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13522 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)
Tags#lowhangingfruit, GUI

Activities

Kunda1

2018-05-29 18:43

administrator   ~0011291

Can confirm behavior on:
OS: "Manjaro Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.13662 (Git) AppImage
Build type: None
Branch: master
Hash: 8d4f31f0216b2765615c2e3d096b8efa68e508c8
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)

@eivindkvedalen care to weigh in?

wmayer

2018-09-25 14:18

administrator   ~0011838

https://github.com/FreeCAD/FreeCAD/commit/654fc12c8ff3aa6c658e2e10c12998788a81dfd2

Issue History

Date Modified Username Field Change
2018-05-27 04:09 Xunie New Issue
2018-05-27 04:09 Xunie Tag Attached: #lowhangingfruit
2018-05-27 04:09 Xunie Tag Attached: GUI
2018-05-29 18:43 Kunda1 Assigned To => eivindkvedalen
2018-05-29 18:43 Kunda1 Status new => assigned
2018-05-29 18:43 Kunda1 Note Added: 0011291
2018-05-29 18:44 Kunda1 Project FreeCAD => Expressions
2018-09-25 14:18 wmayer Status assigned => closed
2018-09-25 14:18 wmayer Resolution open => fixed
2018-09-25 14:18 wmayer Fixed in Version => 0.18
2018-09-25 14:18 wmayer Note Added: 0011838